Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class SearchCriteria

    java.lang.Object
      com.bea.ld.metadata.SearchCriteria

All Implemented Interfaces:
  java.io.Serializable

    public class SearchCriteria

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SearchCriteria.ComparisonReference`
`static class` | `SearchCriteria.Factory`
`static class` | `SearchCriteria.Values`

Field Summary
`static java.lang.String` | `AUTHOR`
`static java.lang.String` | `COMMENT`
`static java.lang.String` | `CREATION_DATE`
`static java.lang.String` | `DOCUMENTATION`
`static java.lang.String` | `DS_TYPE`
`static java.lang.String` | `FULL_TEXT_SEARCH`
`static java.lang.String` | `FUNCTION_COLLECTION_EXTENSION`
`static java.lang.String` | `FUNCTION_COLLECTION_NAME`
`static java.lang.String` | `FUNCTION_NAME`
`static java.lang.String` | `MODIFICATION_DATE`
`static java.lang.String` | `TARGET_TYPE_NAME`
`static java.lang.String` | `XDS_EXTENSION`
`static java.lang.String` | `XQF_EXTENSION`

Constructor Summary
`protected` | `SearchCriteria()`

Method Summary
`java.util.Map` | `getConstraints()`
`static java.util.Date` | `normalizeDate(java.util.Date date)`
`void` | `setConstraint(java.lang.String constraintName, java.lang.Character dsType)`
`void` | `setConstraint(java.lang.String constraintName, java.util.regex.Pattern pattern)`
`void` | `setConstraint(java.lang.String constraintName, SearchCriteria.ComparisonReference comparisonReference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XDS_EXTENSION

    public static final java.lang.String XDS_EXTENSION

See Also:
  Constant Field Values

### XQF_EXTENSION

    public static final java.lang.String XQF_EXTENSION

See Also:
  Constant Field Values

### FUNCTION_COLLECTION_NAME

    public static final java.lang.String FUNCTION_COLLECTION_NAME

See Also:
  Constant Field Values

### FUNCTION_COLLECTION_EXTENSION

    public static final java.lang.String FUNCTION_COLLECTION_EXTENSION

See Also:
  Constant Field Values

### MODIFICATION_DATE

    public static final java.lang.String MODIFICATION_DATE

See Also:
  Constant Field Values

### DOCUMENTATION

    public static final java.lang.String DOCUMENTATION

See Also:
  Constant Field Values

### FUNCTION_NAME

    public static final java.lang.String FUNCTION_NAME

See Also:
  Constant Field Values

### TARGET_TYPE_NAME

    public static final java.lang.String TARGET_TYPE_NAME

See Also:
  Constant Field Values

### AUTHOR

    public static final java.lang.String AUTHOR

See Also:
  Constant Field Values

### COMMENT

    public static final java.lang.String COMMENT

See Also:
  Constant Field Values

### CREATION_DATE

    public static final java.lang.String CREATION_DATE

See Also:
  Constant Field Values

### DS_TYPE

    public static final java.lang.String DS_TYPE

See Also:
  Constant Field Values

### FULL_TEXT_SEARCH

    public static final java.lang.String FULL_TEXT_SEARCH

See Also:
  Constant Field Values

Constructor Detail

### SearchCriteria

    protected SearchCriteria()

Method Detail

### setConstraint

    public void setConstraint(java.lang.String constraintName,
                              java.util.regex.Pattern pattern)

### setConstraint

    public void setConstraint(java.lang.String constraintName,
                              SearchCriteria.ComparisonReference comparisonReference)

### setConstraint

    public void setConstraint(java.lang.String constraintName,
                              java.lang.Character dsType)

### getConstraints

    public java.util.Map getConstraints()

### normalizeDate

    public static java.util.Date normalizeDate(java.util.Date date)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.